> ## Documentation Index
> Fetch the complete documentation index at: https://docs.automatebusiness.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Assign Chat

> Assigns a chat conversation to a specific team member.

Use this endpoint to assign an active conversation to a specific team member. This routes the chat to their Team Inbox.


## OpenAPI

````yaml PUT /api/chat/conversation/assign
openapi: 3.1.0
info:
  title: Automate Chats API
  description: >-
    API for managing WhatsApp template messages, contacts, custom fields, tags,
    and external integrations.
  version: 1.0.0
servers:
  - url: https://api.automatechats.com
security:
  - apiKeyAuth: []
paths:
  /api/chat/conversation/assign:
    put:
      summary: Assign Chat
      description: Assigns a chat conversation to a specific team member.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - conversationId
              properties:
                conversationId:
                  type: string
                userId:
                  type: string
      responses:
        '200':
          description: Chat assigned successfully
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

````